PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "tiny-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
}"Invalid API key"{
"error": {
"code": "NOT_FOUND",
"message": "Collection example-collection not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Describe a collection
Get a description of a collection.
Collections are supported only for pod-based indexes. Pod-based indexes cannot be created with API version 2026-07, so this operation applies to pod-based indexes created with an earlier API version.
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "tiny-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
}"Invalid API key"{
"error": {
"code": "NOT_FOUND",
"message": "Collection example-collection not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Path Parameters
The name of the collection to be described.
Response
Configuration information and status of the collection.
The CollectionModel describes the configuration and status of a Pinecone collection.
The name of the collection.
"example-collection"
The status of the collection.
Possible values: Initializing, Ready, Terminating, or Terminated.
"Initializing"
The environment where the collection is hosted.
"us-east1-gcp"
The size of the collection in bytes.
10000000
The dimension of the vectors stored in each record held in the collection.
1 <= x <= 200001536
The number of records stored in the collection.
120000
Was this page helpful?